EDIT - bug #7247

TypeDesignationSetManager must not bundle NameTypes in workingset
02/06/2018 02:24 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

When two NameTypeDesignations for with the same typeName are related to a registration the TypeDesignationSetManager groups
these names in a "workgingset".

The TypeDesignationSetManager should keep such NameTypeDesignations separate even if this is not a valid situation in terms of
nomenclature.

Related issues:
Related to EDIT - feature request #6718: Constistent TypeDesignation represen... Duplicate

Associated revisions

Revision 843f448b - 02/07/2018 04:26 PM - Andreas Kohlbecker

fix #7247 TypeDesignationSetManager uses typedesignation itself as base entity for NameTypeDesignations

Revision e876cc34 - 02/07/2018 04:30 PM - Andreas Kohlbecker
ref #7247 adapting NameTypeDesignationPresenter to modified base entity type

Revision 05615841 - 02/07/2018 05:27 PM - Andreas Kohlbecker
ref #7247 adapting base entity comparator to modified base entity type

Revision 18ab877a - 02/07/2018 10:44 PM - Andreas Kohlbecker

ref #7247, ref #7081 TypeDesignationSetManager: optional use of typeName or typeDesignation as base entity to allow for deduplication

History

#1 - 02/06/2018 03:20 PM - Andreas Kohlbecker

- Subject changed from TypeDesignationManager must not bundle NameTypes in workingset to TypeDesignationSetManager must not bundle
NameTypes in workingset

- Description updated

#2 - 02/07/2018 04:27 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|843f448b234e1e763faf4d9b8485da2e3a4db45d.

#3 - 02/07/2018 05:30 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#4 - 02/07/2018 09:42 PM - Andreas Kohlbecker

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#5 - 05/05/2021 10:35 AM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, type designation
